From ec62109e0fa678875a9b10fc6f1975267432712d Mon Sep 17 00:00:00 2001
From: Palo Kisa <palo.kisa@gmail.com>
Date: Mon, 30 Jan 2017 12:21:10 +0100
Subject: [PATCH] plugin-kbindicator: Undef the "explicit" workaround

..after include and add explanation of the workaround.

closes lxde/lxqt#1251
---
 plugin-kbindicator/src/x11/kbdlayout.cpp | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/plugin-kbindicator/src/x11/kbdlayout.cpp b/plugin-kbindicator/src/x11/kbdlayout.cpp
index c4aa4e27..883df074 100644
--- a/plugin-kbindicator/src/x11/kbdlayout.cpp
+++ b/plugin-kbindicator/src/x11/kbdlayout.cpp
@@ -33,8 +33,15 @@
 
 #include <xkbcommon/xkbcommon-x11.h>
 #include <xcb/xcb.h>
+
+// Note: We need to override "explicit" as this is a C++ keyword. But it is
+// used as variable name in xkb.h. This is causing a failure in C++ compile
+// time.
+// Similar bug here: https://bugs.freedesktop.org/show_bug.cgi?id=74080
 #define explicit _explicit
 #include <xcb/xkb.h>
+#undef explicit
+
 #include "../kbdinfo.h"
 #include "../controls.h"
 
